Bug 172535 - [WinCairo] AcceleratedCompositingContext.h: error C3668: 'AcceleratedCompositingContext::paintContents': method with override specifier 'override' did not override any base class methods
Summary: [WinCairo] AcceleratedCompositingContext.h: error C3668: 'AcceleratedComposit...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords: InRadar
Depends on: 172485
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-23 22:08 PDT by Fujii Hironori
Modified: 2017-05-30 20:25 PDT (History)
7 users (show)

See Also:


Attachments
Patch (2.70 KB, patch)
2017-05-23 23:01 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fujii Hironori 2017-05-23 22:08:51 PDT
WinCairo build are broken since Bug 172485.

> source\webkit\win\webcoresupport\AcceleratedCompositingContext.h(55): error C3668: 'AcceleratedCompositingContext::paintContents': method with override specifier 'override' did not override any base class methods
Comment 1 Simon Fraser (smfr) 2017-05-23 22:41:45 PDT
Probably need to add a GraphicsLayerPaintFlags as the last argument.

With no EWS, I did not see this before committing.
Comment 2 Fujii Hironori 2017-05-23 23:01:37 PDT
Created attachment 311101 [details]
Patch

Thank you.
Comment 3 WebKit Commit Bot 2017-05-24 02:50:24 PDT
Comment on attachment 311101 [details]
Patch

Clearing flags on attachment: 311101

Committed r217360: <http://trac.webkit.org/changeset/217360>
Comment 4 WebKit Commit Bot 2017-05-24 02:50:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2017-05-30 20:25:30 PDT
<rdar://problem/32479805>